using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class TailSupplyManager : TailRootManeger
{
    public override void SetTileSprite()
    {
        if (CheckNotEmpty(node.entriesType[0]))
        {
            spriteRenderer.sprite = root0;
        }
        else if (CheckNotEmpty(node.entriesType[1]))
        {
            spriteRenderer.sprite = root1;
        }
        else if (CheckNotEmpty(node.entriesType[2]))
        {
            spriteRenderer.sprite = root2;
        }
        else if (CheckNotEmpty(node.entriesType[3]))
        {
            spriteRenderer.sprite = root3;
        }
        else
        {
            spriteRenderer.sprite = empty;
        }
        if (node.m_PlantsController != null) spriteRenderer.color = node.m_PlantsController.myColorHodeiEsteSi;
    }
}
